=== debian/changelog ===
udj-desktop-client (0.5.1-2) unstable; urgency=medium

  * Add libqt4-sql-sqlite as a Dependency (Closes: #680637)
    - This package is needed for adding music to the song library database
    - Urgency set to medium due to the serious RC bug that this upload fixes

 -- Nathan Handler <nhandler@ubuntu.com>  Sat, 07 Jul 2012 09:27:14 -0500

udj-desktop-client (0.5.1-1) unstable; urgency=low

  * New upstream release
  * Create symbolic link from usr/share/man/man1/udj.1.gz to
    usr/share/man/man1/UDJ.1.gz to resolve lintian warning about missing manpage
  * Add debian/clean to remove generated debian/udj-desktop-client.xpm
  * Remove duplicate installation of .xpm icon in udj-desktop-client.install
  * Install a 48x48 PNG icon in the hicolor theme
  * Install a renamed version of the upstream SVG icon in the highcolor theme

 -- Nathan Handler <nhandler@ubuntu.com>  Tue, 26 Jun 2012 15:32:11 -0500

udj-desktop-client (0.5.0-1) unstable; urgency=low

  * Initial release (Closes: #677526)

 -- Nathan Handler <nhandler@ubuntu.com>  Thu, 14 Jun 2012 10:21:47 -0500
