=== debian/control ===
Source: udj-desktop-client
Section: sound
Priority: optional
Maintainer: Nathan Handler <nhandler@ubuntu.com>
Build-Depends: debhelper (>= 9.0.0), cmake, libqt4-dev, libphonon-dev,
 libtag1-dev, imagemagick, librsvg2-bin
Standards-Version: 3.9.3
Homepage: https://www.udjplayer.com/
Vcs-Git: git://git.debian.org/collab-maint/udj-desktop-client.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/udj-desktop-client.git

Package: udj-desktop-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-sql-sqlite
Description: social music player
 UDJ allows you and your friends to collaboratively select which music is
 playing, in real time. Guests are able to view your playlist from their
 smartphones. They can also search your music library from their phones and add
 songs to the playlist. If they see a song added by someone else that they like,
 they can choose to vote it up. The song will then move up in the queue and be
 played sooner. Alternatively, if they see a song they don't like they can vote
 it down and it will move down in the queue.
