=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	convert icons/udjlauncher.svg -resize 32x32 debian/udj-desktop-client.xpm
	convert icons/udjlauncher.svg -resize 48x48 debian/udj-desktop-client.png
	cp icons/udjlauncher.svg debian/udj-desktop-client.svg

override_dh_auto_install:
	dh_auto_install
	rm -f debian/udj-desktop-client/usr/share/doc/udj/LICENSE
