## udj-desktop-client 0.6.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -18,9 +18,10 @@
 
 cmake_minimum_required(VERSION 2.8.7)
 PROJECT(UDJ)
-SET(PROJECT_VERSION_MAJOR 0)
-SET(PROJECT_VERSION_MINOR 5)
-SET(PROJECT_VERSION_PATCH 0)
+include(VERSION.cmake)
+SET(PROJECT_VERSION_MAJOR ${VERSION_MAJOR})
+SET(PROJECT_VERSION_MINOR ${VERSION_MINOR})
+SET(PROJECT_VERSION_PATCH ${VERSION_PATCH})
 SET(PROJECT_COPYRIGHT_YEAR 2011)
 SET(PROJECT_VERNDOR "Bazaar Solutions")
 set(PROJECT_VERSION "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}")
@@ -28,11 +29,19 @@
 set(PROJECT_DOMAIN_FIRST "klnusbaum")
 set(PROJECT_DOMAIN_SECOND "org")
 set(PROJECT_DOMAIN "${PROJECT_DOMAIN_FIRST}.${PROJECT_DOMAIN_SECOND}")
+set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules")
 
-FIND_PACKAGE(Qt4 4.4.3 
-  COMPONENTS QtMain QtCore QtGui Phonon QtSql QtNetwork QtXml REQUIRED)
+FIND_PACKAGE(Qt4 4.7.1
+  COMPONENTS QtMain QtCore QtGui QtSql QtNetwork QtXml REQUIRED)
+FIND_PACKAGE(Phonon REQUIRED)
+include_directories("${PHONON_INCLUDE_DIR}")
+IF(WIN32)
+FIND_LIBRARY(QTSPARKLE_LIBRARIES qtsparkle)
+ENDIF(WIN32)
 
 include(UseQt4)
+
+include(UDJCPack.cmake)
 
 SET(CMAKE_AUTOMOC TRUE)
