=== debian/changelog ===
udj-desktop-client (0.6.3-1) unstable; urgency=low

  * New upstream release
  * debian/copyright: Add stanzas for new upstream files
  * debian/rules:
    - Do not install ./usr/share/doc/udj/UDJ.1
    - Remove /usr/share/doc/udj directory if it is empty
  * debian/control:
    - Bump Standards-Version to 3.9.4 (no changes)
    - Use my @debian.org address for the Maintainer field

 -- Nathan Handler <nhandler@debian.org>  Wed, 14 Nov 2012 15:29:07 -0600

udj-desktop-client (0.6.1-1~exp1) experimental; urgency=low

  * New upstream release
    - Adds support for new API

 -- Nathan Handler <nhandler@ubuntu.com>  Tue, 09 Oct 2012 22:39:20 -0500
