=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: udj-desktop-client
 Section: sound
 Priority: optional
-Maintainer: Nathan Handler <nhandler@ubuntu.com>
+Maintainer: Nathan Handler <nhandler@debian.org>
 Build-Depends: debhelper (>= 9.0.0), cmake, libqt4-dev, libphonon-dev,
  libtag1-dev, imagemagick, librsvg2-bin
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: https://www.udjplayer.com/
 Vcs-Git: git://git.debian.org/collab-maint/udj-desktop-client.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/udj-desktop-client.git
