=== debian/watch ===
version=3

https://github.com/klnusbaum/UDJ-Desktop-Client/downloads .*/UDJ-Desktop-Client-(\d[\d\.]+)\.tar\.gz
